+ Post New Thread
Page 101 of 645 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 601 ... LastLast
Threads 2501 to 2525 of 16108

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 93,448
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 76,367
    18th Sep 2006 10:46 pm Go to last post
  1. Intersectwith method issue

    Hello, I'm having issues when trying to find the intersection between two lwpolylines using the following code : (vl-load-com) (defun c:intersect (/ curve1-ename curve2-ename curve1-obj...

    Started by jbreard‎, 6th Mar 2016 04:46 pm
    • Replies: 4
    • Views: 1,354
    7th Mar 2016 07:15 am Go to last post
  2. initget/cond/getkword routine with a variable

    I have created a lisp that increments attributes which has a remembered variable (getenv "LISPS\\attfusenuminc") in the initget/cond/getkword routine. It works but somehow doesn't seem right. The...

    Started by Happy Hobbit‎, 6th Mar 2016 09:44 am
    • Replies: 4
    • Views: 2,958
    6th Mar 2016 04:43 pm Go to last post
  3. Lee Mac Random Number Functions

    Dear Lee, Your code is a great. But for intervals of negative shifts period by one. (LM:randrange 1 3) 1 1 1 2 1 3

    Started by Kowal‎, 4th Mar 2016 03:11 pm
    • Replies: 4
    • Views: 1,922
    6th Mar 2016 12:00 pm Go to last post
  4. Unbind xrefs with option to reattach "unbinded" files problem...

    I tried to modify existing routine (see attached lisp .. I dont' know who created it) in oredr to add function to reattach "unbinded" xrefs, but when programm tried to attach new created file I...

    Started by danglar‎, 6th Mar 2016 09:39 am
    • Replies: 0
    • Views: 1,053
    6th Mar 2016 09:39 am Go to last post
  5. Create Mesh of Grid Non Parallel Lines

    Create Mesh of NonParallel Grid of Lines Hello, I have a grid of RED and GREEN set of lines that have apparent intersection when looked from TOP VIEW. I would like to know if anyone has a LISP...

    Started by Pedro R Munoz‎, 5th Mar 2016 06:45 pm
    • Replies: 1
    • Views: 1,086
    5th Mar 2016 09:47 pm Go to last post
  6. Named Views with Rotated UCS

    We work with a lot of drawing files that have named model space views and named UCS's that has been rotated. I am trying to accommodate this scenario in my code using the TRANS function within my...

    Started by ksperopoulos‎, 26th Feb 2016 09:31 pm
    • Replies: 2
    • Views: 1,459
    4th Mar 2016 09:26 pm Go to last post
  7. Create block with Entmake

    Hi, I'm trying to create a block and well i'm not sure why it doesn't work. Could someone help me out or guide me. (defun CreationBois (Nom Dim1 Dim2) (entmake (list '(0 ....

    Started by CadFrank‎, 2nd Mar 2016 01:54 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 4,923
    4th Mar 2016 02:08 pm Go to last post
  8. How to pick a 3D polyline

    Hello everyone, I have created a 3d polyline with the following code: (defun Bigal2(lst) (setq x 0) (command "_3dpoly") (while (= (getvar "cmdactive") 1 ) (repeat (length lst) (command (nth...

    Started by aloy‎, 4th Mar 2016 12:20 am
    • Replies: 2
    • Views: 1,029
    4th Mar 2016 01:11 am Go to last post
  9. Write LISP to run on an entire folder

    Hi all, So I'll preface this, with I'm not terribly familiar with LISP. Now that we have that out of the way, we currently have a LISP routine that updates all of the text styles used in a drawing...

    Started by mick_swartz‎, 9th Feb 2016 10:04 pm
    • Replies: 3
    • Views: 1,259
    3rd Mar 2016 11:37 pm Go to last post
  10. Export a selection to an new external dxf file

    All I need this function to do is to allow me to export a selection in model space to a new, different .dxf file (specifically, AutoCAD 2000/LT2000 DXF format). Doesn't matter where the coordinates...

    Started by KendiKong‎, 3rd Mar 2016 02:30 am
    • Replies: 3
    • Views: 1,369
    3rd Mar 2016 07:44 pm Go to last post
  11. Locking Support File Search Paths

    Hi all I'm wondering how everyone sets the SFSP so they can't be changed. I know how to set them through the acaddoc.lsp so they get re-set every time a drawing opens to protect against users...

    Started by pixel8er‎, 1st Mar 2016 06:00 am
    • Replies: 9
    • Views: 1,702
    3rd Mar 2016 01:10 pm Go to last post
  12. Fill Hatch Between two polyline

    I am trying to fill hatch between two polyline , I use the surface for cutting and filling area. Thank you

    Started by sanju2323‎, 3rd Mar 2016 05:40 am
    • Replies: 2
    • Views: 2,214
    3rd Mar 2016 09:48 am Go to last post
  13. Inserting a block in named UCS then moving it in WCS

    The client has a a whole, heap of tags that need to be inserted into a 2d drawing. Each drawings has a named UCS view, I'd like to insert the block so that it is perpendicular to the ucs. What I...

    Started by Dorian Gray‎, 23rd Feb 2016 02:10 pm
    • Replies: 1
    • Views: 1,287
    2nd Mar 2016 02:49 am Go to last post
  14. Question Detect/switch pointing device?

    Hello. Is there a way detect and switch pointing device? I use two pointing devices: regular mouse for every day Acad and digitizer. For the mouse I set to "current system pointing device" and...

    Started by vanowm‎, 28th Feb 2016 08:13 pm
    • Replies: 3
    • Views: 1,100
    2nd Mar 2016 02:49 am Go to last post
  15. get block properties

    Hello friends.. I have a problem with getting some properties out of block...I'm trying like in these two ways (setq blok(car(entsel "\nSelect block..."))) (setq...

    Started by Tomislav‎, 29th Feb 2016 11:26 am
    • Replies: 9
    • Views: 3,208
    2nd Mar 2016 12:14 am Go to last post
  16. Smile Lee Mac

    Hello mr lee mac me as not programmers might find it interesting how they came to their unique knowledge . It's just incredible what knowledge they possess . I take my hat off to them ! Something...

    Started by martinle‎, 28th Feb 2016 09:22 pm
    • Replies: 7
    • Views: 3,483
    1st Mar 2016 05:03 pm Go to last post
  17. Extract Mleader annotative properties

    I had a quick question on the annotative scale properties of mleaders. I cannot find any documentation in the acadauto.chm about the annotative scale properties of an object. What I am wanting to do...

    Started by broncos15‎, 29th Feb 2016 09:24 pm
    • Replies: 2
    • Views: 1,561
    29th Feb 2016 09:46 pm Go to last post
  18. Automatic Drawing

    Hello All, This is my first post on CADTutor forum. This is a pretty extensive request, however I am looking to essentially do this exact routine: https://www.youtube.com/watch?v=FLOif87iLMw ...

    Started by ethangale25‎, 29th Feb 2016 04:53 pm
    autolisp, automation, cross sections, profile view
    • Replies: 2
    • Views: 1,842
    29th Feb 2016 06:07 pm Go to last post
  19. Accumulative copy lisp

    Newbie to forum but not to CAD. I need a copy lisp that will add the entered dimension accumulatively. Example: Command; copy, pick object(s), pick base point, enter displacement, "10 foot",...

    Started by Nobull84‎, 15th Nov 2013 07:16 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 32
    • Views: 7,720
    29th Feb 2016 03:30 pm Go to last post
  20. Verify if INT, STR, REAL or whatever

    I need to find out what kind of values some symbols are having. There fore I know I can do the opposite. I need to verify if the symbol is something that I need to process. Example (setq...

    Started by svorgodne‎, 29th Feb 2016 11:08 am
    int, real, str
    • Replies: 7
    • Views: 1,035
    29th Feb 2016 01:00 pm Go to last post
  21. Linked to Common Lisp

    Hello! I'm writing AutoLISP. I want to upgrade the software by Common Lisp. But do not know how to use. Please help me. Thank you!

    Started by LaHien‎, 28th Feb 2016 05:38 am
    common lisp
    • Replies: 0
    • Views: 816
    28th Feb 2016 05:38 am Go to last post
  22. Select Similar LISP

    So I have a quick question on why this LISP routine isn't doing what I want it to. My goal is that I want to only grab multileaders that have a particular #. For example, when labeling I have leaders...

    Started by broncos15‎, 9th Feb 2016 05:29 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 6,254
    27th Feb 2016 12:14 am Go to last post
  23. Region 2 pline - helkp

    Dearest In this routine, I intend it to be converted the region into a pline but intend at the same time be preserved region. Thanks. ...

    Started by teknomatika‎, 25th Feb 2016 04:38 pm
    • Replies: 4
    • Views: 2,328
    26th Feb 2016 10:08 am Go to last post
  24. lisp to draw pline

    I need a lisp routine that will draw a pline with a defined width of 1/32". User to give a start point and an end point. Thanks .......JerryB

    Started by bbryson_2000‎, 25th Feb 2016 03:31 am
    • Replies: 5
    • Views: 2,415
    26th Feb 2016 09:46 am Go to last post
  25. Change Text divinding it by a number

    Hello I would like to have a simple lisp routine that divide all the numbers in a given layer by 20, can anybody help me? Thx

    Started by Flip_73‎, 2nd Nov 2014 10:04 pm
    divide, text
    • Replies: 4
    • Views: 2,506
    26th Feb 2016 05:36 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts